#### D.4.28.2 primdecZM

Procedure from library `primdecint.lib` (see primdecint_lib).

Usage:
  primdecZM(N); N module
  The coefficients must be ZZ.

Return:
  a list pr of primary modules and their associated primes:

         pr[i][1]   the i-th primary component,
         pr[i][2]   the i-th prime component.

Example:

    LIB "primdecint.lib";
    ring R=integer,(x,y),(c,lp);
    module N=[0,0,xy2-x2-xy],[0,y,x],[0,x,2xy-x],[x,0,-xy],[0,0,18x];
    primdecZM(N);
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=[0,0,x]
    ==>       _[2]=[0,1]
    ==>       _[3]=[x]
    ==>    [2]:
    ==>       _[1]=x
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=[0,0,y3]
    ==>       _[2]=[0,0,18x]
    ==>       _[3]=[0,0,xy2]
    ==>       _[4]=[0,0,x2+xy]
    ==>       _[5]=[0,y,x]
    ==>       _[6]=[0,x,2xy-x]
    ==>       _[7]=[y3]
    ==>       _[8]=[x,0,-xy]
    ==>    [2]:
    ==>       _[1]=y
    ==>       _[2]=x

User manual for Singular version 4.4.1, 2025, generated by texi2html.